<?php
$lang->ldap->common = 'LDAP Settings';
$lang->ldap->index  = 'Settings';
$lang->ldap->base   = 'Basic Settings';
$lang->ldap->attr   = 'Attribute Settings';
$lang->ldap->import = 'Import users from LDAP';

$lang->ldap->turnon     = 'Status';
$lang->ldap->type       = 'Server Type';
$lang->ldap->host       = 'LDAP Server';
$lang->ldap->port       = 'Port';
$lang->ldap->admin      = 'Admin account';
$lang->ldap->password   = 'Admin password';
$lang->ldap->baseDN     = 'Base DN';
$lang->ldap->account    = 'Username';
$lang->ldap->realname   = 'Realname';
$lang->ldap->email      = 'Email';
$lang->ldap->phone      = 'Phone';
$lang->ldap->mobile     = 'Mobile';
$lang->ldap->anonymous  = 'Anonymous';

$lang->ldap->example     = 'For example:';
$lang->ldap->accountPS   = 'Corresponding to the username on the LDAP server';
$lang->ldap->groupPS     = 'The group that a LDAP user belongs to after login';

$lang->ldap->successSave    = 'Saved';

$lang->ldap->error          = new stdclass();
$lang->ldap->error->connect = "Connection to the LDAP server failed. It coould be LDAP address or port error!";
$lang->ldap->error->verify  = 'Admin account or password is wrong';

$lang->ldap->turnonList[0] = 'OFF';
$lang->ldap->turnonList[1] = 'ON';

$lang->ldap->typeList['ldap'] = "LDAP Server";
$lang->ldap->typeList['ad']   = "Active Directory";

$lang->ldap->noldap          = new stdclass();
$lang->ldap->noldap->header  = "ERROR：You have not loaded the PHP LDAP extension";
$lang->ldap->noldap->content = 'This configuration depends on the PHP LDAP extension, so you need to load the LDAP extension. You can modify the php.ini file, or install the LDAP extension. Refer to the instruction <a href="https://www.zdoo.org/book/zdoopromanual/collaborative-system-crm-oa-hr-install-ldap-84.html" target="_blank">https://www.zdoo.org/book/zdoopromanual/collaborative-system-crm-oa-hr-install-ldap-84.html</a>';
